%global __provides_exclude_from ^%{_docdir}
%global __requires_exclude_from ^%{_docdir}
%global __requires_exclude perl\\(Bio::Expression::Contact\\)|perl\\(Bio::Expression::DataSet\\)|perl\\(Bio::Expression::FeatureSet\\)|perl\\(Bio::Expression::Platform\\)|perl\\(Bio::Expression::Sample\\)|perl\\(TestInterface\\)
%global __provides_exclude perl\\(Error\\)|perl\\(Error::Simple\\)|perl\\(Error::subs\\)|perl\\(TestInterface\\)|perl\\(TestObject\\)

Name:       perl-bioperl
Version:    1.6.1
Release:    1%{dist}

Summary:    BioPerl core modules
Group:      Development/Perl
License:    Artistic
Url:        http://www.bioperl.org
Source:    http://bioperl.org/DIST/BioPerl-1.6.1.tar.gz

BuildRequires: perl(CPAN) >= 1.810.0
BuildRequires: perl(DB_File)
BuildRequires: perl-Data-Stag 
BuildRequires: perl-ExtUtils-Manifest 
BuildRequires: perl(IO::String)
BuildRequires: perl(Module::Build) >= 0.420.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Harness) >= 2.620.0
BuildRequires: perl(Test::Most)
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

Provides:   perl-BioPerl

%description
Officially organized in 1995 and existing informally for several years
prior, The Bioperl Project is an international association of developers
of open source Perl tools for bioinformatics, genomics and life science
research.

%prep
%setup -n BioPerl-%{version}

%build
%{__perl} Build.PL --installdirs=vendor <<EOI
n
n
a
n
EOI
./Build

%check
#./Build test

%install
./Build install --destdir=%{buildroot}
# those should belong to Bioperl-Run instead
%{__rm} -f %{buildroot}%{_bindir}/bp_pairwise_kaks.pl
%{__rm} -f %{buildroot}%{_bindir}/bp_blast2tree.pl

# correct permissions
find %{buildroot}%{perl_vendorlib}/Bio/ -name "*.pm" -exec chmod 644 {} \;

# clean doc
executables='.*\(\.\(pl\|cgi\)\|pdf2index\|dbfetch\)$'
for dir in examples doc;
do
	find $dir -type f -regex $executables | xargs chmod 644
	find $dir -type f -regex $executables | xargs perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|'
	find $dir -type f ! -regex $executables | xargs chmod 644
	find $dir -type f | xargs perl -pi -e 'BEGIN {exit unless -T $ARGV[0];} tr/\r//d;'
done

%files
%doc AUTHORS BUGS Changes DEPENDENCIES DEPRECATED INSTALL LICENSE 
%{perl_vendorlib}/Bio/
%{_mandir}/*/*
%{_libdir}/perl5/vendor_perl/auto/Bio/.packlist


%changelog

* Thu Jan 21 2016 David Vásquez <davidjeremias82 AT gmail DOT com> - 1.6.1-1
- Upstream

* Tue Nov 25 2014 sander85 <sander85> 1.6.924-8.mga5
+ Revision: 798908
- Remove Bio::SeqFeature::Annotated from exclusion list

* Tue Nov 25 2014 sander85 <sander85> 1.6.924-7.mga5
+ Revision: 798897
- Temporarily exclude Bio::SeqFeature::Annotated

* Tue Nov 25 2014 sander85 <sander85> 1.6.924-6.mga5
+ Revision: 798893
- Exclude deprecated modules

* Thu Oct 23 2014 danf <danf> 1.6.924-5.mga5
+ Revision: 792836
- Stop adding requires and provides from examples

* Sat Oct 18 2014 umeabot <umeabot> 1.6.924-4.mga5
+ Revision: 788272
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.6.924-3.mga5
+ Revision: 750988
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.924-2.mga5
+ Revision: 683605
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Jul 11 2014 sander85 <sander85> 1.6.924-1.mga5
+ Revision: 651277
- update to 1.6.924

* Tue Feb 25 2014 jquelin <jquelin> 1.6.923-1.mga5
+ Revision: 596900
- adding missing buildrequires:
- update to 1.6.923

* Fri Oct 18 2013 umeabot <umeabot> 1.6.901-5.mga4
+ Revision: 509343
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.6.901-4.mga3
+ Revision: 363367
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 25 2011 jquelin <jquelin> 1.6.901-3.mga2
+ Revision: 171887
- fix obsoletes

* Thu Oct 20 2011 jquelin <jquelin> 1.6.901-2.mga2
+ Revision: 156795
- dist renamed upstream (once again)
- dist renamed upstream (once again)

* Wed Jun 22 2011 jquelin <jquelin> 1.6.901-1.mga2
+ Revision: 112127
- update to 1.6.901

* Sat Jun 11 2011 spuhler <spuhler> 1.6.1-3.mga2
+ Revision: 104043
- increase rel for rebuild

* Thu Jan 27 2011 jquelin <jquelin> 1.6.1-2.mga1
+ Revision: 42066
- updating buildrequires:
- rebuild
- mageia rebuild
- imported package perl-bioperl

